package com.bofeng.entity;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableId;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.joda.time.DateTime;

@Getter
@Setter
@ToString
@TableName("SYS_AREA")
public class SysArea {

    @ApiModelProperty("地区ID")
    @TableId("AREA_ID")
    private Long areaId;

    @ApiModelProperty("省(暂时不用)")
    @TableField("PROVINCE")
    private String province;

    @ApiModelProperty("市(暂时不用)")
    @TableField("CITY")
    private String city;

    @ApiModelProperty("地区名称")
    @TableField("AREA_NAME")
    private String areaName;

    @ApiModelProperty("状态:1正常,0草稿,-1删除")
    @TableField("STATUS")
    private int status;

    @ApiModelProperty("上级id")
    @TableField("AREA_UP")
    private Long areaUp;

    @ApiModelProperty("层级")
    @TableField("LEV")
    private Long lev;

    @ApiModelProperty("纬度")
    @TableField("LATITUDE")
    private String latitude;

    @ApiModelProperty("经度")
    @TableField("LONGITUDE")
    private String longitude;

    @ApiModelProperty("新增时间")
    @TableField("TIME_CREATE")
    private DateTime timeCreate;

    @ApiModelProperty("修改时间")
    @TableField("TIME_UPDATE")
    private DateTime timeUpdate;

}
